package paradoxon;

import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.BoxLayout;
import javax.swing.ImageIcon;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;


public class Infofenster extends JDialog {

	public Infofenster(JFrame owner) {
		super(owner, "Formeln zum Programm");
		JPanel contentPane = new JPanel();
		JScrollPane scroll = new JScrollPane(contentPane);
		contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.Y_AXIS));
		getContentPane().add(scroll);

		/*
		 * Bild mit Erklaerungstext laden
		 */
		BufferedImage infoDatei = null;
		try {
			infoDatei = ImageIO.read(getClass().getResource("Infofenster.png"));
		} catch (IOException e) {
			e.printStackTrace();
		}

		/*
		 * Bild als Icon, Groesse festlegen
		 */
		ImageIcon icon = new ImageIcon(infoDatei);
		int width = (int) Math.round(.6 * icon.getIconWidth());
		int height = (int) Math.round(.6 * icon.getIconHeight());
		Image img = icon.getImage().getScaledInstance(width, height,
				java.awt.Image.SCALE_SMOOTH);

		/*
		 * Label mit diesem Bild erstellen
		 */
		JLabel imgLabel = new JLabel(new ImageIcon(img));
		imgLabel.setSize(width, height);
		contentPane.add(imgLabel);

		pack();
	}
	
	
}
