package paradoxon;

import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;

import org.opensourcephysics.display.Drawable;
import org.opensourcephysics.display.DrawingPanel;

public class Lichtkegel implements Drawable {
	// Zeichnet den Lichtkegel und die Koordinatenachsen des ruhenden Zwillings
	@Override
	public void draw(DrawingPanel panel, Graphics g) {
		Graphics2D g2 = (Graphics2D) g;
		g2.setStroke(new BasicStroke(2)); // Linie dicker machen
		g2.setColor(Color.BLACK);
		g2.drawLine(panel.xToPix(0), panel.yToPix(0), panel.xToPix(100), panel.yToPix(100));
		//g2.drawLine(panel.xToPix(-10), panel.yToPix(10), panel.xToPix(10), panel.yToPix(-10));
		g2.setStroke(new BasicStroke(1)); // und zurück, sonst ist alles danach auch fett
		// Achsen des ruhenden Zwillings
		g2.drawLine(panel.xToPix(0), panel.yToPix(0), panel.xToPix(0), panel.yToPix(50));
		g2.drawLine(panel.xToPix(0), panel.yToPix(0), panel.xToPix(50), panel.yToPix(0));
	}

}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */