package paradoxon;

import java.awt.Color;
import java.awt.Graphics;

import org.opensourcephysics.display.Drawable;
import org.opensourcephysics.display.DrawingPanel;

public class Rechteck implements Drawable {

	private double hoehe;
	private int breite;
	private int position;
	private Color color;

	public void setHoehe(double hoehe) {
		this.hoehe = hoehe;
	}

	public Rechteck(double hoehe, int position, Color color) {
		this.hoehe = hoehe;
		this.position = position;
		this.color = color;
	}

	@Override
	public void draw(DrawingPanel panel, Graphics g) {
		g.setColor(color);
		breite = panel.xToPix(1) - panel.xToPix(0);
		g.fillRect(panel.xToPix(position), panel.yToPix(hoehe), breite, panel.yToPix(0)-panel.yToPix(hoehe));
	}
}

/*
 * This software is free software; you can redistribute
 * it and/or modify it under the terms of the GNU General 
 * Public License (GPL) as published by the Free Software 
 * Foundation; either version 3 of the License, 
 * or(at your option) any later version.
 *
 * This software is distributed in the hope that it will 
 * be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY 
 * or FITNESS FOR A PARTICULAR PURPOSE.  
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General 
 * Public License along with this; 
 * if not, see <http://www.gnu.org.licenses>
 */